--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: get
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Due to its Scandinavian origins, IRC has strange case mappings, which consider the characters <tt>{}|^</tt> as the uppercase equivalents of # <tt>[]\\~</tt>."
- !ruby/struct:SM::Flow::P 
  body: "This is however not the same on all IRC servers: some use standard ASCII casemapping, other do not consider <tt>^</tt> as the uppercase of <tt>~</tt>"
constants: []

full_name: Irc::Casemap
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: lower
- !ruby/object:RI::MethodSummary 
  name: must_be
- !ruby/object:RI::MethodSummary 
  name: to_irc_casemap
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: upper
name: Casemap
superclass: Object
